Page MenuHomePhabricator

Run MassMessage to contact user talk pages of all affected accounts
Closed, ResolvedPublic

Description

Text is located in P4, details are in the comments there.

The translated text will only save in the wiki's language.

Event Timeline

Keegan created this task.Feb 26 2015, 12:06 AM
Keegan updated the task description. (Show Details)
Keegan raised the priority of this task from to Needs Triage.
Keegan assigned this task to Legoktm.
Keegan added a project: SUL-Finalization.
Keegan moved this task to To-do on the SUL-Finalization board.
Keegan added a subscriber: Keegan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 12:06 AM
Keegan set Security to None.Feb 26 2015, 12:46 AM
Keegan updated the task description. (Show Details)
Keegan edited subscribers, added: Nemo_bis, DerHexer, hoo; removed: Ricordisamoa.
Nemo_bis updated the task description. (Show Details)Feb 26 2015, 1:48 PM
Nemo_bis added a subscriber: gpaumier.

Guillaume, can you please remind us if the #switch trick is reliable enough in your experience? I vaguely remember some cases in which it failes for Tech News.

Guillaume, can you please remind us if the #switch trick is reliable enough in your experience? I vaguely remember some cases in which it failes for Tech News.

The #switch trick works reasonably well in my experience; I haven't had any issues in the past few months that I can recall.

One limitation (not with the #switch, but with the Lua module) is T85461, but I believe Keegan has worked around it by generating three #switches and combining them manually.

Finalized text P398

This will start running shortly.

MassMessage follows redirects, so the message may end up in a different place, however the body (for all post halfway through commons) will contain the username of the account that is actually being renamed.

Nemo_bis triaged this task as High priority.Mar 18 2015, 9:05 AM

Over a million messages delivered by now, if I remember the previous edit count correctly (it's now at 1.6 M).

Re https://meta.wikimedia.org/w/index.php?diff=11604303&oldid=11598114&rcid=6087341 and others, in hindsight it would be better if the text started with "Hello $user," rather than "Hello," so that the recipients understand to whom it's directed. Can we still modify that for the English text?

It also doesn't help that the "true" information content of the message is only in the second paragraph, after 100 words of premises.

Asahiko added a comment.EditedMar 18 2015, 3:03 PM

@Nemo_bis I copyedited P398 (a.k.a. "finalized text" according to Keegan's post above) after it was posted, and observed it being reflected on the actual messages that were posted. I don't know if the script actually reads it from there now, though.

@Nemo_bis: I can do that for english, and if people want to provide translations I can adjust the other languages as well.

@Asahiko, the script reads from text files on the server, not directly from the paste. I just copied it from the paste after you copyedited it.

Over a million messages delivered by now, if I remember the previous edit count correctly (it's now at 1.6 M).

1409069 out of 2851363 have been delivered so far.

Finalized text P398

This will start running shortly.

There was a bug that hit commons briefly, since fixed: village pump notice. If someone could help me let the affected users know to ignore it, that would be wonderful and I'll give you eight tokens to do as you please with.

There was a bug that hit commons briefly, since fixed: village pump notice. If someone could help me let the affected users know to ignore it, that would be wonderful and I'll give you eight tokens to do as you please with.

A proof of concept for a MySQL query on Commons can be found at https://quarry.wmflabs.org/query/2566.
It can also help finding duplicate messages.

Finalized text P398

This will start running shortly.

There was a bug that hit commons briefly, since fixed: village pump notice. If someone could help me let the affected users know to ignore it, that would be wonderful and I'll give you eight tokens to do as you please with.

There was a bug that hit commons briefly, since fixed: village pump notice. If someone could help me let the affected users know to ignore it, that would be wonderful and I'll give you eight tokens to do as you please with.

A proof of concept for a MySQL query on Commons can be found at https://quarry.wmflabs.org/query/2566.
It can also help finding duplicate messages.

Wonderful, thank you. Your tokens are in the mail :)

Took the evening off, we're at 1.4 million of 2.8 million. Just running on en.wiki and de.wiki tomorrow, it would take up most of the day anyway so it's staying local to those wikis.

I also added a line in the message about [[Special:MergeAccount]] since that generated the most confusion for the first half of the emails.

Elitre added a subscriber: Elitre.Mar 30 2015, 7:57 PM
Keegan closed this task as Resolved.Mar 30 2015, 8:01 PM
Keegan moved this task from Doing to Done on the SUL-Finalization board.